<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>HTML</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
    <style>
        /* Черный цвет символов */ 
        a {
            color: black; 
          } 
          /*Убираем подчеркивание с ссылок*/
        .li { 
            
            text-decoration: none;
          }
     </style>  
</head>
<body>
    <h1>HTML</h1>
    <p align="justify"> 
        <font size="5"  face="Arial"> <!--color="red"-->
Язык <b>HTML</b> интерпретируется <a href="https://ru.wikipedia.org/wiki/%D0%91%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80">браузерами</a>; полученный в результате интерпретации
форматированный текст отображается на экране монитора компьютера или мобильного устройства. <br>
Язык <i>HTML</i> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML">SGML</a>
(стандартного обобщённого языка
разметки по стандарту <a href="https://ru.wikipedia.org/wiki/ISO">ISO</a> 8879). Спецификации HTML5 формулируются в
терминах <a href="https://ru.wikipedia.org/wiki/Document_Object_Model">DOM</a> (объектной модели документа). <br>
Язык <a href="https://ru.wikipedia.org/wiki/XHTML">XHTML</a> является более строгим вариантом HTML, он 
следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML">XML</a> и является
приложением языка XML в области разметки гипертекста. <br>
Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по
протоколам <a href="https://ru.wikipedia.org/wiki/HTTP">HTTP</a> 
или <a href="https://ru.wikipedia.org/wiki/HTTPS">HTTPS</a>, в 
виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B8%D1%84%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5">шифрования</a>.
        </font>    
    </p>

    <h1>Общее представление</h1>

    <p align="justify"> 
        <font size="5"  face="Arial">
Язык HTML был разработан 
<a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%BB%D0%B8%D0%BA%D0%BE%D0%B1%D1%80%D0%B8%D1%82%D0%B0%D0%BD%D0%B8%D1%8F">британским</a> учёным 
<b><a text-decoration = "none" href="https://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%BD%D0%B5%D1%80%D1%81-%D0%9B%D0%B8,_%D0%A2%D0%B8%D0%BC">Тимом Бернерсом-Ли</a></b> приблизительно в 
<a href="https://ru.wikipedia.org/wiki/1986_%D0%B3%D0%BE%D0%B4">1986</a>—
<a href="https://ru.wikipedia.org/wiki/1991_%D0%B3%D0%BE%D0%B4">1991 годах</a>  в стенах <a href="https://ru.wikipedia.org/wiki/%D0%A6%D0%95%D0%A0%D0%9D">ЦЕРНа</a> в 
<a href="https://ru.wikipedia.org/wiki/%D0%96%D0%B5%D0%BD%D0%B5%D0%B2%D0%B0">Женеве</a> в 
<a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B2%D0%B5%D0%B9%D1%86%D0%B0%D1%80%D0%B8%D1%8F">Швейцарии</a>. HTML создавался как язык для обмена научной
и технической документацией, пригодный для использования людьми, не являющимися
специалистами в области <a href="https://ru.wikipedia.org/wiki/%D0%92%D1%91%D1%80%D1%81%D1%82%D0%BA%D0%B0">вёрстки</a>. HTML успешно справлялся с проблемой сложности SGML путём
определения небольшого набора структурных и 
<b><a href="https://ru.wikipedia.org/wiki/%D0%A1%D0%B5%D0%BC%D0%B0%D0%BD%D1%82%D0%B8%D0%BA%D0%B0">семантических</a></b> элементов — дескрипторов.
Дескрипторы также часто называют 
<b><a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)">«тегами»</a></b>. 
С помощью HTML можно легко создать относительно простой, но красиво оформленный документ. Помимо упрощения структуры
документа, в HTML внесена поддержка 
<a href="https://ru.wikipedia.org/wiki/%D0%93%D0%B8%D0%BF%D0%B5%D1%80%D1%82%D0%B5%D0%BA%D1%81%D1%82">гипертекста</a>. 
<a href="https://ru.wikipedia.org/wiki/%D0%9C%D1%83%D0%BB%D1%8C%D1%82%D0%B8%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0">Мультимедийные</a> 
возможности были добавлены позже.<br>
Изначально язык HTML был задуман и создан как средство структурирования и форматирования
документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с
разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на
оборудовании с различной технической оснащённостью (цветной экран современного компьютера,
монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или
устройства и программы голосового воспроизведения текстов). Однако современное применение
HTML очень далеко от его изначальной задачи. Например, тег &lt; table &gt; предназначен для создания в
документах таблиц, но иногда используется и для оформления размещения элементов на странице.
С течением времени основная идея платформо независимости языка HTML была принесена в
жертву современным потребностям в мультимедийном и графическом оформлении.<br>
Браузеры<br>
Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно
имеют <a href="https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_%D1%84%D0%B0%D0%B9%D0%BB%D0%B0">расширение</a> 
<b>.html</b> или <b>.htm</b>), обрабатываются специальными 
<a href="https://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D0%BA%D0%BB%D0%B0%D0%B4%D0%BD%D0%BE%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%BD%D0%BE%D0%B5_%D0%BE%D0%B1%D0%B5%D1%81%D0%BF%D0%B5%D1%87%D0%B5%D0%BD%D0%B8%D0%B5">приложениями</a>, которые
отображают документ в его форматированном виде. Такие приложения, называемые «браузерами»
или «интернет-обозревателями», обычно предоставляют пользователю удобный 
<a href="https://ru.wikipedia.org/wiki/%D0%9F%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8C%D1%81%D0%BA%D0%B8%D0%B9_%D0%B8%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81">интерфейс</a> для
запроса <a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1-%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0">веб-страниц</a>,
 их просмотра (и вывода на иные внешние устройства) и, при необходимости, отправки введённых пользователем данных 
 на сервер. Наиболее популярными на сегодняшний день браузерами являются 
 <i><b><a class="li" href="https://ru.wikipedia.org/wiki/Google_Chrome">Google Chrome</a></b></i>, 
 <i><b><a class="li" href="https://ru.wikipedia.org/wiki/Mozilla_Firefox">Mozilla Firefox</a></b></i>, 
 <i><b><a class="li" href="https://ru.wikipedia.org/wiki/Opera">Opera</a></b></i>, 
 <i><b><a class="li" href="https://ru.wikipedia.org/wiki/Internet_Explorer">Internet Explorer</a></b></i> и 
 <i><b><a class="li" href="https://ru.wikipedia.org/wiki/Safari">Safari</a></b></i>.
        </font>
    </p>
</body>
</html>